
;; SIT NFET mu Follower with voltage sources for VdsJ and Ibias  -- no servos

;;; Token 2SK182ES Spice model

*GENERATED BY SIT MODELER @ AUDIOHOBBY.COM by Generg
*MODEL RANGE: 80V, 2A
.SUBCKT 2SK182ES D G S ; Drain Gate Source
+ PARAMS: MU=16.98 X=2.56 K=0.443 N=1.6 VCT=0 RG=2MEG
*--------------------------------------------------
B1 D S I=K*PWR(URAMP((V(G,S)+VCT)+(N*LN(V(D,S))+(V(D,S)/MU))),X)
*FOR MULTISIM COMMENT OUT ABOVE LINE (*) AND UNCOMMENT NEXT LINE
*B1 D S I=K*PWR(MAX((V(G,S)+VCT)+(N*LN(V(D,S))+(V(D,S)/MU)),0),X)
R1 G S {RG}
CGS G S 17.7nF  ; Ciss-Crss 
CGD G D 10nF    ; Crss      10nF is wild guess  need a measured value here  
CDS G S 10nF    ; Coss-Crss 10nF is wild guess  need a measured value here  
.ENDS 2SK182ES

;;; Functions to compute 2SK182ES Vgs for given Vds for a few bias currents

.func SK182ES_Vgs1p8(Vds){4.7054e-4*Vds**2-.1384*Vds-1.743} ; Id=1.8A
.func SK182ES_Vgs2p0(Vds){SK182ES_Vgs1p8(Vds)+.083} ; Id=2.0A
.func SK182ES_Vgs2p5(Vds){7.863e-4*Vds**2-.1632*Vds-1.048} ; Id=2.5A
.func SK182ES_Vgs3p0(Vds){7.795e-4*Vds**2-.1627*Vds-.9058} ; Id=3.0A

########################################

;;; IXFN140N30P Spice model

.params IXFN140N30P_KP=9.2 IXFN140N30P_Vto=4.3 IXFN140N30P_Lambda=4.3m IXFN140N30P_Rs=2.2m

.model IXFN140N30P VDMOS(nchan Vto={IXFN140N30P_Vto} Kp={IXFN140N30P_KP} Lambda={IXFN140N30P_Lambda} Rs=2.2m Rd=0.17 Rds=1e7 Cgdmax=4nf Cgdmin=50pf a=0.35 Cgs=13nF
+ Cjo=35nF m=0.75 VJ=2.5 IS=4.0E-06 N=2.4)

;;; Level-1 MOSFET Vgs computation (including internal source resistance Rs)
.func F_Vgs(I0,Vds,vt,kp,lam,Rs){vt+I0*Rs+sqrt(2*I0/(kp*(Vds*lam+1)))}

.func IXFN140N30P_VGS(I0,Vds){F_Vgs(I0,Vds,IXFN140N30P_Vto, IXFN140N30P_Kp, IXFN140N30P_lambda,IXFN140N30P_Rs)}

##############################

.measure P_VgSIT param VgSIT
.measure M_Ibias avg I(Rmu) ; I(Vpwrp)
.measure M_biasT0 find I(Vpwrp) at=0
.measure M_biasX find Ix(SIT1:d) when  Ix(SIT1:d)=Id(nfet1)

Vrmu Vrmu 0 {Rmu}
Vrsn Vrsn 0 {Rsn}
Vrload Vrload 0 {Rload}

.params Vrmu=Ibias*Rmu Vrsn=Ibias*Rsn
.params VgNFET=IXFN140N30P_VGS(Ibias, Vpwr-VdsJ-Vrmu-Vrsn)+Vrsn+Vrmu

##############################################

;;; Input
.params Rinput=1m; 27R ;100 ;1m
;.params Gain=17.9/20
.params Vout=sqrt(2*Watts*Rload)
.params Vin=Vout/Gain

VInput In 0 SINE(0 {Vin} {Fin}) AC 1 Rser={Rinput}

;;; Output
Eout Out 0 Out+ Out- 1
.measure M_Gain rms {sqrt(2)*V(Out)/Vin}
.fourier {Fin} 3 V(out+, Out-)

;; Generate residual waveform on node Resid
.inc fundamental_null.sub
XFN4 Out+ Out- Resid fundamental_null params: period=1/Fin ncycles=tstop*Fin view_cycles=10

.params per=1/Fin tstart=100*per tstop=tstart+10*per sdur=per/1000

;;; Output capacitor initial charge  - doesn't help
;.ic V(SD,Out+)= {Vpwr-VdsJ-Ibias*Rmu}

;;; Voltage source across output capacitor
;;Vcap SD Out+ {Vpwr-VdsJ-Ibias*Rmu}

;;; V+ rail voltage
VpwrP V+ 0 {Vpwr}

###########################################################################
###########################################################################

;;; SIT gate voltages for a few bias currents (1.8A, 2A, 2/5A and 3.0A)
.params VgSIT1p8=Vpwr-VdsJ+SK182ES_Vgs1p8(VdsJ)
.params VgSIT2p0=Vpwr-VdsJ+SK182ES_Vgs2p0(VdsJ)
.params VgSIT2p5=Vpwr-VdsJ+SK182ES_Vgs2p5(VdsJ)
.params VgSIT3p0=Vpwr-VdsJ+SK182ES_Vgs3p0(VdsJ)

;;; CIRCUIT PARAMETER COMBINATIONS

;;; Note that Rsn is R1 in the Pass schematic
;;;       and Rmu is R2 in the Pass schematic

;; agrees well with Pass THD plot  - beautiful spectra
;; Nmuff-60V-3A-30V-0.2-0.2
;.params Vpwr=60 Ibias=3.0A VgSit=VgSIT3p0 Vdsj=29.0 Rmu=.2 Rsn=.2  Gain=.83

;  very good at 70W - nice spectra
;; Nmuff-72V-2.5A-35V-0.12-0.0
;.params Vpwr=72 Ibias=2.5A VgSit=VgSIT2p5 Vdsj=35.015 Rmu=.12 Rsn=1u Gain=.8752

;  good at 65W - nice spectra
;; Nmuff-68V-1.8A-34V-0.2-0.0
;.params Vpwr=68 Ibias=1.8A VdsJ=34 VgSit=VgSIT1p8 Rmu=.2 Rsn=1u Gain=.876

#########################################
;;; HOW FAR CAN WE PUSH THE OUTPUT POWER?

;;; nice spectra 0.55% at 100W   more Iq than needed
;.params Vpwr=100 Ibias=3A VdsJ=55 VgSit=VgSIT3p0 Rmu=.15 Rsn=1u Rbn=600 Gain=.893;Xbn=(Ibias*(Rsn+Rmu)-81*Ida)/(Ida*Rbn)

;; somewhat ratty spectra compared to before
;; 1.06% at 100W     250W/ch
;.params Vpwr=100 Ibias=2.5A VdsJ=45 VgSit=VgSIT2p5 Rmu=.15 Rsn=1u Rbn=600 Gain=.893;Xbn=(Ibias*(Rsn+Rmu)-81*Ida)/(Ida*Rbn)

#########################################
;;; HOW LOW CAN POWER CONSUMPTION FOR 45W OUTPUT POWER?

;; very good at 45W - nice spectra THD=1.28% @45W
;; with cap mult, needs 69V supply
;; 124W power dissipation needs 500VA trans for 2 ch --   AN-5458 - 500VA 58VRMS
;; /home/quam/audio/circuits/spice/SIT/SIT-3/PS/SIT3X-AN5458-20221112.asc
;; Nmuff-64V-1.8A-32V-0.2-0.0
.params Vpwr=64 Ibias=1.8A VdsJ=32 VgSit=VgSIT1p8 Rmu=.18 Rsn=1u Gain=.873

##########################

;;; Run transient simulation

.params Watts=45 Fin=100Hz Rload=8

.step param Watts list 1 5 25 45
